Registration

Initialize the Registration wizard

Use this method to initialize the Registration wizard for signing up a client to the Trader's Room. For detailed instructions, refer to [Register a client](https://docs.b2core.b2broker.com/en/rest-api-reference-front-registration.html#register-a-client).

POST
/api/v2/my/signup/wizard

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/signup/wizard" \  -H "Content-Type: application/json" \  -d '{}'
{  "code": 200,  "data": {    "fields": [      {        "id": 1,        "priority": 0,        "name": "string",        "label": {          "value": "string",          "raw": true,          "hint": {            "value": "string",            "position": "start"          }        },        "type": "string",        "rules": [          [            [              "example"            ]          ]        ],        "initialValue": 1,        "options": [          {            "name": "string",            "value": 1,            "disabled": false,            "hint": "string",            "related_fields": [              "example"            ],            "related_fields_id": [              1            ]          }        ],        "description": "example",        "hidden": true,        "readonly": true,        "data": [          1        ],        "fields": [          {}        ],        "mask": {          "key": "example",          "value": "example",          "enabledIf": [            "example"          ]        },        "optionsType": {          "type": "example",          "endpoint": "example"        },        "fieldToWatch": "example",        "change": true,        "autocompleteSuggestions": {          "endpoint": "example",          "source_type": "example",          "autocomplete_fields": [            "example"          ]        },        "related_field_id": 1,        "related_option_id": 1,        "depends_on_field_id": 1      }    ]  },  "done": true,  "uuid": "36f59381-5b54-48bd-a0c7-3b908c476732",  "workflow": "basic_register_form"}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}